Four Stars

TOS 6.4 with HDP 2.6 not finding libraries for some componentes (Pig, Sqoop)

Hi,

 

I'm using TOS Big Data 6.4. We've upgraded from HDP 2.5 to HDP 2.6 and many componentes that worked fine under HDP 2.5, are not working anymore. When you select the distribution HDP 2.6, it seems that Talend is not able to recognize which libraries to load, so it displays an error saying 'library_name cannot be resolved to a type'. However, if you select HDP 2.5, it uses the correct libraries (which are the same for both distributions) and it works properly.

So it seems like a bug in TOS 6.4 when you choose HDP 2.6

 

Any solution for this issue?

 

Thanks

1 REPLY
Moderator

Re: TOS 6.4 with HDP 2.6 not finding libraries for some componentes (Pig, Sqoop)

Hello,

Talend studio doesn't prompt you to download the libraries needed? Can you see the required jar from module? Does this issue only repro on pig, sqoop components?

Best regards

Sabrina